Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network85.96.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
85.96.0.0
Broadcast address
85.111.255.255
First usable
85.96.0.1
Last usable
85.111.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 55600000 · Integer 1432354816 to 1433403391
Reverse DNS zones
96.85.in-addr.arpa
97.85.in-addr.arpa
98.85.in-addr.arpa
99.85.in-addr.arpa
100.85.in-addr.arpa
101.85.in-addr.arpa
102.85.in-addr.arpa
103.85.in-addr.arpa
104.85.in-addr.arpa
105.85.in-addr.arpa
106.85.in-addr.arpa
107.85.in-addr.arpa
108.85.in-addr.arpa
109.85.in-addr.arpa
110.85.in-addr.arpa
111.85.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010101.01100000.00000000.0000000085.96.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network01010101.01100000.00000000.0000000085.96.0.0
Broadcast01010101.01101111.11111111.1111111185.111.255.255
Split into smaller subnets/19

85.96.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
185.96.0.0/1985.96.0.1 to 85.96.31.25485.96.31.2558,190
285.96.32.0/1985.96.32.1 to 85.96.63.25485.96.63.2558,190
385.96.64.0/1985.96.64.1 to 85.96.95.25485.96.95.2558,190
485.96.96.0/1985.96.96.1 to 85.96.127.25485.96.127.2558,190
585.96.128.0/1985.96.128.1 to 85.96.159.25485.96.159.2558,190
685.96.160.0/1985.96.160.1 to 85.96.191.25485.96.191.2558,190
785.96.192.0/1985.96.192.1 to 85.96.223.25485.96.223.2558,190
885.96.224.0/1985.96.224.1 to 85.96.255.25485.96.255.2558,190
985.97.0.0/1985.97.0.1 to 85.97.31.25485.97.31.2558,190
1085.97.32.0/1985.97.32.1 to 85.97.63.25485.97.63.2558,190
1185.97.64.0/1985.97.64.1 to 85.97.95.25485.97.95.2558,190
1285.97.96.0/1985.97.96.1 to 85.97.127.25485.97.127.2558,190
1385.97.128.0/1985.97.128.1 to 85.97.159.25485.97.159.2558,190
1485.97.160.0/1985.97.160.1 to 85.97.191.25485.97.191.2558,190
1585.97.192.0/1985.97.192.1 to 85.97.223.25485.97.223.2558,190
1685.97.224.0/1985.97.224.1 to 85.97.255.25485.97.255.2558,190
1785.98.0.0/1985.98.0.1 to 85.98.31.25485.98.31.2558,190
1885.98.32.0/1985.98.32.1 to 85.98.63.25485.98.63.2558,190
1985.98.64.0/1985.98.64.1 to 85.98.95.25485.98.95.2558,190
2085.98.96.0/1985.98.96.1 to 85.98.127.25485.98.127.2558,190
2185.98.128.0/1985.98.128.1 to 85.98.159.25485.98.159.2558,190
2285.98.160.0/1985.98.160.1 to 85.98.191.25485.98.191.2558,190
2385.98.192.0/1985.98.192.1 to 85.98.223.25485.98.223.2558,190
2485.98.224.0/1985.98.224.1 to 85.98.255.25485.98.255.2558,190
2585.99.0.0/1985.99.0.1 to 85.99.31.25485.99.31.2558,190
2685.99.32.0/1985.99.32.1 to 85.99.63.25485.99.63.2558,190
2785.99.64.0/1985.99.64.1 to 85.99.95.25485.99.95.2558,190
2885.99.96.0/1985.99.96.1 to 85.99.127.25485.99.127.2558,190
2985.99.128.0/1985.99.128.1 to 85.99.159.25485.99.159.2558,190
3085.99.160.0/1985.99.160.1 to 85.99.191.25485.99.191.2558,190
3185.99.192.0/1985.99.192.1 to 85.99.223.25485.99.223.2558,190
3285.99.224.0/1985.99.224.1 to 85.99.255.25485.99.255.2558,190
3385.100.0.0/1985.100.0.1 to 85.100.31.25485.100.31.2558,190
3485.100.32.0/1985.100.32.1 to 85.100.63.25485.100.63.2558,190
3585.100.64.0/1985.100.64.1 to 85.100.95.25485.100.95.2558,190
3685.100.96.0/1985.100.96.1 to 85.100.127.25485.100.127.2558,190
3785.100.128.0/1985.100.128.1 to 85.100.159.25485.100.159.2558,190
3885.100.160.0/1985.100.160.1 to 85.100.191.25485.100.191.2558,190
3985.100.192.0/1985.100.192.1 to 85.100.223.25485.100.223.2558,190
4085.100.224.0/1985.100.224.1 to 85.100.255.25485.100.255.2558,190
4185.101.0.0/1985.101.0.1 to 85.101.31.25485.101.31.2558,190
4285.101.32.0/1985.101.32.1 to 85.101.63.25485.101.63.2558,190
4385.101.64.0/1985.101.64.1 to 85.101.95.25485.101.95.2558,190
4485.101.96.0/1985.101.96.1 to 85.101.127.25485.101.127.2558,190
4585.101.128.0/1985.101.128.1 to 85.101.159.25485.101.159.2558,190
4685.101.160.0/1985.101.160.1 to 85.101.191.25485.101.191.2558,190
4785.101.192.0/1985.101.192.1 to 85.101.223.25485.101.223.2558,190
4885.101.224.0/1985.101.224.1 to 85.101.255.25485.101.255.2558,190
4985.102.0.0/1985.102.0.1 to 85.102.31.25485.102.31.2558,190
5085.102.32.0/1985.102.32.1 to 85.102.63.25485.102.63.2558,190
5185.102.64.0/1985.102.64.1 to 85.102.95.25485.102.95.2558,190
5285.102.96.0/1985.102.96.1 to 85.102.127.25485.102.127.2558,190
5385.102.128.0/1985.102.128.1 to 85.102.159.25485.102.159.2558,190
5485.102.160.0/1985.102.160.1 to 85.102.191.25485.102.191.2558,190
5585.102.192.0/1985.102.192.1 to 85.102.223.25485.102.223.2558,190
5685.102.224.0/1985.102.224.1 to 85.102.255.25485.102.255.2558,190
5785.103.0.0/1985.103.0.1 to 85.103.31.25485.103.31.2558,190
5885.103.32.0/1985.103.32.1 to 85.103.63.25485.103.63.2558,190
5985.103.64.0/1985.103.64.1 to 85.103.95.25485.103.95.2558,190
6085.103.96.0/1985.103.96.1 to 85.103.127.25485.103.127.2558,190
6185.103.128.0/1985.103.128.1 to 85.103.159.25485.103.159.2558,190
6285.103.160.0/1985.103.160.1 to 85.103.191.25485.103.191.2558,190
6385.103.192.0/1985.103.192.1 to 85.103.223.25485.103.223.2558,190
6485.103.224.0/1985.103.224.1 to 85.103.255.25485.103.255.2558,190
6585.104.0.0/1985.104.0.1 to 85.104.31.25485.104.31.2558,190
6685.104.32.0/1985.104.32.1 to 85.104.63.25485.104.63.2558,190
6785.104.64.0/1985.104.64.1 to 85.104.95.25485.104.95.2558,190
6885.104.96.0/1985.104.96.1 to 85.104.127.25485.104.127.2558,190
6985.104.128.0/1985.104.128.1 to 85.104.159.25485.104.159.2558,190
7085.104.160.0/1985.104.160.1 to 85.104.191.25485.104.191.2558,190
7185.104.192.0/1985.104.192.1 to 85.104.223.25485.104.223.2558,190
7285.104.224.0/1985.104.224.1 to 85.104.255.25485.104.255.2558,190
7385.105.0.0/1985.105.0.1 to 85.105.31.25485.105.31.2558,190
7485.105.32.0/1985.105.32.1 to 85.105.63.25485.105.63.2558,190
7585.105.64.0/1985.105.64.1 to 85.105.95.25485.105.95.2558,190
7685.105.96.0/1985.105.96.1 to 85.105.127.25485.105.127.2558,190
7785.105.128.0/1985.105.128.1 to 85.105.159.25485.105.159.2558,190
7885.105.160.0/1985.105.160.1 to 85.105.191.25485.105.191.2558,190
7985.105.192.0/1985.105.192.1 to 85.105.223.25485.105.223.2558,190
8085.105.224.0/1985.105.224.1 to 85.105.255.25485.105.255.2558,190
8185.106.0.0/1985.106.0.1 to 85.106.31.25485.106.31.2558,190
8285.106.32.0/1985.106.32.1 to 85.106.63.25485.106.63.2558,190
8385.106.64.0/1985.106.64.1 to 85.106.95.25485.106.95.2558,190
8485.106.96.0/1985.106.96.1 to 85.106.127.25485.106.127.2558,190
8585.106.128.0/1985.106.128.1 to 85.106.159.25485.106.159.2558,190
8685.106.160.0/1985.106.160.1 to 85.106.191.25485.106.191.2558,190
8785.106.192.0/1985.106.192.1 to 85.106.223.25485.106.223.2558,190
8885.106.224.0/1985.106.224.1 to 85.106.255.25485.106.255.2558,190
8985.107.0.0/1985.107.0.1 to 85.107.31.25485.107.31.2558,190
9085.107.32.0/1985.107.32.1 to 85.107.63.25485.107.63.2558,190
9185.107.64.0/1985.107.64.1 to 85.107.95.25485.107.95.2558,190
9285.107.96.0/1985.107.96.1 to 85.107.127.25485.107.127.2558,190
9385.107.128.0/1985.107.128.1 to 85.107.159.25485.107.159.2558,190
9485.107.160.0/1985.107.160.1 to 85.107.191.25485.107.191.2558,190
9585.107.192.0/1985.107.192.1 to 85.107.223.25485.107.223.2558,190
9685.107.224.0/1985.107.224.1 to 85.107.255.25485.107.255.2558,190
9785.108.0.0/1985.108.0.1 to 85.108.31.25485.108.31.2558,190
9885.108.32.0/1985.108.32.1 to 85.108.63.25485.108.63.2558,190
9985.108.64.0/1985.108.64.1 to 85.108.95.25485.108.95.2558,190
10085.108.96.0/1985.108.96.1 to 85.108.127.25485.108.127.2558,190
10185.108.128.0/1985.108.128.1 to 85.108.159.25485.108.159.2558,190
10285.108.160.0/1985.108.160.1 to 85.108.191.25485.108.191.2558,190
10385.108.192.0/1985.108.192.1 to 85.108.223.25485.108.223.2558,190
10485.108.224.0/1985.108.224.1 to 85.108.255.25485.108.255.2558,190
10585.109.0.0/1985.109.0.1 to 85.109.31.25485.109.31.2558,190
10685.109.32.0/1985.109.32.1 to 85.109.63.25485.109.63.2558,190
10785.109.64.0/1985.109.64.1 to 85.109.95.25485.109.95.2558,190
10885.109.96.0/1985.109.96.1 to 85.109.127.25485.109.127.2558,190
10985.109.128.0/1985.109.128.1 to 85.109.159.25485.109.159.2558,190
11085.109.160.0/1985.109.160.1 to 85.109.191.25485.109.191.2558,190
11185.109.192.0/1985.109.192.1 to 85.109.223.25485.109.223.2558,190
11285.109.224.0/1985.109.224.1 to 85.109.255.25485.109.255.2558,190
11385.110.0.0/1985.110.0.1 to 85.110.31.25485.110.31.2558,190
11485.110.32.0/1985.110.32.1 to 85.110.63.25485.110.63.2558,190
11585.110.64.0/1985.110.64.1 to 85.110.95.25485.110.95.2558,190
11685.110.96.0/1985.110.96.1 to 85.110.127.25485.110.127.2558,190
11785.110.128.0/1985.110.128.1 to 85.110.159.25485.110.159.2558,190
11885.110.160.0/1985.110.160.1 to 85.110.191.25485.110.191.2558,190
11985.110.192.0/1985.110.192.1 to 85.110.223.25485.110.223.2558,190
12085.110.224.0/1985.110.224.1 to 85.110.255.25485.110.255.2558,190
12185.111.0.0/1985.111.0.1 to 85.111.31.25485.111.31.2558,190
12285.111.32.0/1985.111.32.1 to 85.111.63.25485.111.63.2558,190
12385.111.64.0/1985.111.64.1 to 85.111.95.25485.111.95.2558,190
12485.111.96.0/1985.111.96.1 to 85.111.127.25485.111.127.2558,190
12585.111.128.0/1985.111.128.1 to 85.111.159.25485.111.159.2558,190
12685.111.160.0/1985.111.160.1 to 85.111.191.25485.111.191.2558,190
12785.111.192.0/1985.111.192.1 to 85.111.223.25485.111.223.2558,190
12885.111.224.0/1985.111.224.1 to 85.111.255.25485.111.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses